Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Class ReadWriteFactory

    java.lang.Object
      info.bioinfweb.treegraph.document.io.ReadWriteFactory

    public class ReadWriteFactory

extends java.lang.Object

Field Summary
`private java.util.EnumMap<ReadWriteFormat,SingleReadWriteFactory>` | `factories`
`private static ReadWriteFactory` | `firstInstance`

Constructor Summary
`private` | `ReadWriteFactory()`

Method Summary
`private void` | `fillList()`
`ReadWriteFormat` | `formatByFile(java.io.File file)`
`ReadWriteFormat` | `formatByFileName(java.lang.String name)`
`AbstractFilter` | `getFilter(ReadWriteFormat f)`
`static ReadWriteFactory` | `getInstance()`
`DocumentReader` | `getReader(java.io.File file)`
`DocumentReader` | `getReader(ReadWriteFormat f)`
`DocumentWriter` | `getWriter(ReadWriteFormat f)`
`boolean` | `hasReader(ReadWriteFormat f)`
`boolean` | `hasWriter(ReadWriteFormat f)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstInstance

    private static ReadWriteFactory firstInstance

### factories

    private java.util.EnumMap<ReadWriteFormat,SingleReadWriteFactory> factories

Constructor Detail

### ReadWriteFactory

    private ReadWriteFactory()

Method Detail

### fillList

    private void fillList()

### getInstance

    public static ReadWriteFactory getInstance()

### formatByFileName

    public ReadWriteFormat formatByFileName(java.lang.String name)

### formatByFile

    public ReadWriteFormat formatByFile(java.io.File file)

### getReader

    public DocumentReader getReader(java.io.File file)

### hasReader

    public boolean hasReader(ReadWriteFormat f)

### hasWriter

    public boolean hasWriter(ReadWriteFormat f)

### getReader

    public DocumentReader getReader(ReadWriteFormat f)

### getWriter

    public DocumentWriter getWriter(ReadWriteFormat f)

### getFilter

    public AbstractFilter getFilter(ReadWriteFormat f)

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD